Package org.apache.solr.client.solrj.response

# Class ResponseParser

java.lang.Object
org.apache.solr.client.solrj.response.ResponseParser

Direct Known Subclasses:
  `InputStreamResponseParser`, `JacksonDataBindResponseParser`, `JavaBinResponseParser`, `JsonMapResponseParser`, `XMLResponseParser`

public abstract class ResponseParser extends Object
SolrJ Solr response parser.

Since:
  solr 1.3

## Constructor Summary

Constructors
Constructor
Description
`ResponseParser()`

## Method Summary

Modifier and Type
Method
Description
`abstract Collection<String>`
`getContentTypes()`
A well-behaved ResponseParser will return the content-types it supports.
`abstract String`
`getWriterType()`
The writer type placed onto the request as the `wt` param.
`abstract NamedList<Object>`
`processResponse(InputStream body, String encoding)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResponseParser

public ResponseParser()

## Method Details

### getWriterType

public abstract String getWriterType()
The writer type placed onto the request as the `wt` param.

### processResponse

public abstract NamedList<Object> processResponse(InputStream body, String encoding) throws IOException

Throws:
  `IOException`

### getContentTypes

public abstract Collection<String> getContentTypes()
A well-behaved ResponseParser will return the content-types it supports.

Returns:
  the content-type values that this parser is capable of parsing. Never null. Empty means no enforcement.